import { csvFormat } from 'd3';

export const message = (data) => {
  const totalLength = Math.round(
    csvFormat(data).length / 1024,
  );
  const totalRows = data.length;
  const totalColumns = data.columns.length;

  const message = `Length of Series data: ${totalLength} kB\nNo of rows the data has: ${totalRows}\nNo of columns data has: ${totalColumns}`;

  return message;
};
